# FLUX 1.1 Pro Ultra > FLUX1.1 [pro] in ultra and raw modes. Images are up to 4 megapixels. Use raw mode for realism. - **Provider**: replicate - **Model ID**: black-forest-labs/flux-1.1-pro-ultra - **Category**: image_generation - **Credits**: 140 per request - **Pricing Type**: fixed ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `image_prompt` (string, optional): Image to use with Flux Redux. This is used together with the text prompt to guide the generation towards the composition of the image_prompt. Must be jpeg, png, gif, or webp. - `aspect_ratio` (string, optional): Aspect ratio for the generated image (Default: `1:1`; Options: `21:9`, `16:9`, `3:2`, `4:3`, `5:4`, `1:1`, `4:5`, `3:4`, `2:3`, `9:16`, `9:21`) - `seed` (integer, optional): Random seed. Set for reproducible generation - `output_format` (string, optional): Format of the output images. (Default: `jpg`; Options: `jpg`, `png`) - `safety_tolerance` (integer, optional): Safety tolerance, 1 is most strict and 6 is most permissive (Default: `2`; Range: min: 1, max: 6) - `image_prompt_strength` (number, optional): Blend between the prompt and the image prompt. (Default: `0.1`; Range: min: 0, max: 1) - `raw` (boolean, optional): Generate less processed, more natural-looking images (Default: `False`) - `prompt` (string, **required**): Text prompt for image generation ## Example Request ```json { "model": "black-forest-labs/flux-1.1-pro-ultra", "input": { "raw": false, "aspect_ratio": "3:2", "image_prompt_strength": 0.1, "output_format": "jpg", "prompt": "a majestic snow-capped mountain peak bathed in a warm glow of the setting sun", "safety_tolerance": 2 } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags flux, text-to-image, image-generation, ultra, raw-mode, black-forest-labs, high-resolution ## Documentation https://replicate.com/black-forest-labs/flux-1.1-pro-ultra